Skip to content

bots.listGrants

GET
/v1/bots/{botId}/grants
curl --request GET \
--url 'https://example.com/v1/bots/example/grants?status=active' \
--header 'Authorization: Bearer <token>'
botId
required
string
>= 1 characters <= 128 characters
status
string
Allowed values: active used revoked

Success

Media typeapplication/json
Array<object>
object
id
required
string
bot
required
string
>= 1 characters <= 128 characters
capability
required
object
action
required
string
Allowed values: tools.call apps.call bots.spawn bots.create bots.promote bots.delegate plans.run channels.send computers.acquire computers.create computers.delete computers.expose
target
required
string
<= 512 characters
arguments
object
effect
required
string
Allowed values: allow deny
scope
required
string
Allowed values: once session lifetime
session
string
grantedBy
required
Any of:
object
_tag
required
string
Allowed values: Person
userId
required
string
reason
string
parent
string
status
required
string
Allowed values: active used revoked
createdAt
required
number

Example

[
{
"capability": {
"action": "tools.call"
},
"effect": "allow",
"scope": "once",
"grantedBy": {
"_tag": "Person"
},
"status": "active"
}
]

BotInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: BotInvalid
message
required
string

Example

{
"_tag": "BotInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

PermissionDenied | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PermissionDenied
permission
required
string
Allowed values: responses.run sessions.read sessions.write requests.resolve bots.read bots.write bots.delegate bots.share triggers.read triggers.write channels.read channels.write channels.use channel_identities.read channel_identities.write connections.read connections.write apps.use apps.publish computers.read computers.write computers.use computer_providers.read computer_providers.write computer_providers.use models.use tokens.read tokens.write organization.read organization.write roles.write model_providers.read model_providers.write sso.read sso.write platform.read platform.write members.read members.write audit_logs.read usage.read budgets.read budgets.write
resource
required
string

Example

{
"_tag": "PermissionDenied",
"permission": "responses.run"
}

BotNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: BotNotFound
bot
required
string

Example

{
"_tag": "BotNotFound"
}

BotConflict

Media typeapplication/json
object
_tag
required
string
Allowed values: BotConflict
message
required
string

Example

{
"_tag": "BotConflict"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

AuthorizationUnavailable | BotStorageUnavailable | AuthenticationUnavailable

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: AuthorizationUnavailable

Example

{
"_tag": "AuthorizationUnavailable"
}